Download it now!
Bug 135273 - Tight integration dialog shows unclear properties
Summary: Tight integration dialog shows unclear properties
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Yusuf Keten
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Extension-Tight-Integration
  Show dependency treegraph
 
Reported: 2020-07-29 11:39 UTC by Heiko Tietze
Modified: 2020-08-31 08:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the current situation (125.19 KB, image/png)
2020-07-29 11:39 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-07-29 11:39:08 UTC
Created attachment 163736 [details]
Screenshot of the current situation

Some properties are NULL (likely not set) but at the same time do not have any label. The same is true for the minus (?) icon.

All possible properties should be labelled (considering l10n) and empty results shown as no string. The design proposal is in bug 135270.
Comment 1 Heiko Tietze 2020-08-28 08:45:54 UTC
Guess supressing NULL is a nobrainer and done within minutes.
Comment 2 Yusuf Keten 2020-08-28 09:59:50 UTC
In the https://bugs.documentfoundation.org/show_bug.cgi?id=135270 NULL is existed on the UI. So I thought it was correct, but as you said it is a little patch. I'm working and sending a patch.
Comment 3 Commit Notification 2020-08-30 17:45:39 UTC
Yusuf Keten committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6379f799704935a571a4b3af44cabd0671c48dbe

tdf#135273: Tight integration dialog shows unclear properties

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Heiko Tietze 2020-08-31 08:10:05 UTC
Yusuf, after submitting a patch that solves the issue please also resolve the BZ ticket as fixed.